Forwarding
Set Forwarding Active
Pause or resume a customer forwarding rule.
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
forwarding
/
{forwarding_id}
/
active
Set Forwarding Active
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"active": true
}'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active"
payload = { "active": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({active: true})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"target_email": "<string>",
"updated_at": "<string>",
"verification_required": true,
"verification_state": "internal",
"verification_expires_at": "<string>",
"verification_sent_at": "<string>",
"verification_verified_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Body
application/json
Request to pause or resume forwarding.
Whether forwarding should be active
Response
Whether forwarding is active
Forwarding rule creation timestamp
Forwarding rule UUID
Resource UUID for the forwarding scope
Resource scope type for the forwarding rule
Available options:
account, workspace, domain Forwarding destination email address
Forwarding rule last update timestamp
Whether recipient verification is required
Recipient verification state
Available options:
internal, pending, verified, expired Verification expiry timestamp
Verification email sent timestamp
Verification completion timestamp
Was this page helpful?
⌘I
Set Forwarding Active
